%define debug_package %{nil}

%define majver 2
%define minver 0.10.4

Name:           radare
Version:        %{majver}.%{minver}
Release:        1%{?dist}
License:        LGPL-3.0
Source:		http://radare.nopcode.org/get/%{name}%{majver}-%{minver}.tar.xz
Patch1:		%{name}%{majver}-%{minver}-patch-001
Source1:	capstone-3.0.4.tar.gz
Group:          Development/Tools/Debuggers
Url:            http://www.radare.org
Summary:        Reverse Engineering Framework
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel
BuildRequires:  gmp-devel
BuildRequires:  lua-devel
BuildRequires:  libewf-devel
BuildRequires:  libzip-devel
%if 0%{?rhel} != 5
BuildRequires:  file-devel
%else
BuildRequires:  file
%endif
BuildRequires:  swig

%description
Opensource tools to disasm, debug, analyze and manipulate binary files.

%package devel
Requires: radare
Summary: Devel files for radare
License: LGPL-3.0
Group:          Development/Tools/Debuggers
%description devel
Development files for radare


%prep
%setup -q -n %{name}%{majver}-%{minver}
%patch1 -p1

%build
export CFLAGS="%{optflags}"
%configure --with-openssl --with-sysmagic
cd shlr; mv capstone capstone-original; tar zxf %{SOURCE1}; cd ..
make %{_smp_mflags}

%install
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libr
%{_includedir}/libr/*
%{_libdir}/pkgconfig/*.pc

%files
%defattr(-,root,root)
%{_bindir}/*
%{_docdir}/*
%{_mandir}/man1/*
%{_mandir}/man7/*
%dir %{_libdir}/%{name}%{majver}
%{_libdir}/%{name}%{majver}/*
%{_libdir}/libr_*
%{_libdir}/libr2.so
%{_libdir}/libr2.so.%{minver}
#%{_libdir}/libsdb.a
%{_datadir}/%{name}%{majver}/last
%{_datadir}/%{name}%{majver}/%{minver}/cons/*
%{_datadir}/%{name}%{majver}/%{minver}/format/*
%{_datadir}/%{name}%{majver}/%{minver}/www/console.html
%{_datadir}/%{name}%{majver}/%{minver}/www/d3/d3.js
%{_datadir}/%{name}%{majver}/%{minver}/www/d3/d3.layout.js
%{_datadir}/%{name}%{majver}/%{minver}/www/d3/index.html
%{_datadir}/%{name}%{majver}/%{minver}/www/d3/packages.js
%{_datadir}/%{name}%{majver}/%{minver}/www/d3/style.css
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/disassembler_old.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/enyo_app.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/enyo.css
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/enyo/lib/onyx/images/gradient-invert.png
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/enyo/lib/onyx/images/gradient.png
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/gradient-invert.png
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/gradient.png
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/icon.png
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/index.html
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/r2app.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/r2core.css
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/r2core.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/rlogo-tr.png
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/stylesheet.css
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/backbone-min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/joint.layout.DirectedGraph.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/joint.min.css
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/joint.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/jquery.layout-latest.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/jquery.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/jquery.scrollTo.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/jquery-ui.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/enyo/vendors/lodash.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/favicon.ico
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/img/arrow_d.gif
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/img/arrow.gif
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/img/arrow_l.gif
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/img/arrow_r.gif
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/img/arrow_u.gif
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/index.html
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/index.js
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/js-graph-it.css
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/js-graph-it.js
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/make.sh
%{_datadir}/%{name}%{majver}/%{minver}/www/graph/sf-homepage.css
%{_datadir}/%{name}%{majver}/%{minver}/www/index.html
%{_datadir}/%{name}%{majver}/%{minver}/www/index.old.html
%{_datadir}/%{name}%{majver}/%{minver}/www/log.html
%{_datadir}/%{name}%{majver}/%{minver}/www/m/hsplit
%{_datadir}/%{name}%{majver}/%{minver}/www/m/images/icon.png
%{_datadir}/%{name}%{majver}/%{minver}/www/m/images/rlogo256.png
%{_datadir}/%{name}%{majver}/%{minver}/www/m/images/user.jpg
%{_datadir}/%{name}%{majver}/%{minver}/www/m/index.html
%{_datadir}/%{name}%{majver}/%{minver}/www/m/index.js
%{_datadir}/%{name}%{majver}/%{minver}/www/m/r2.js
%{_datadir}/%{name}%{majver}/%{minver}/www/m/stylesheet.css
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/dialog-polyfill.css
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/dialog-polyfill.js
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/codepoints
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/fonts.css
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/iconjar-map.js
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/MaterialIcons-Regular.eot
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/MaterialIcons-Regular.ijmap
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/MaterialIcons-Regular.ttf
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/MaterialIcons-Regular.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/MaterialIcons-Regular.woff2
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/README.md
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/Roboto-italic-400.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/Roboto-italic-700.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/Roboto-normal-100.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/Roboto-normal-300.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/Roboto-normal-400.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/Roboto-normal-500.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/Roboto-normal-700.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/fonts/Roboto-normal-900.woff
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/images/sort_asc_disabled.png
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/images/sort_asc.png
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/images/sort_both.png
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/images/sort_desc_disabled.png
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/images/sort_desc.png
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/jquery.dataTables.min.css
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/jquery.dataTables.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/jquery.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/material-design-icons.css
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/material.min.css
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vendors/material.min.js
%{_datadir}/%{name}%{majver}/%{minver}/www/m/vsplit
%{_datadir}/%{name}%{majver}/%{minver}/www/old/index.html
%{_datadir}/%{name}%{majver}/%{minver}/www/old/rlogo2.png
%{_datadir}/%{name}%{majver}/%{minver}/www/old/script.js
%{_datadir}/%{name}%{majver}/%{minver}/www/old/style.css
%{_datadir}/%{name}%{majver}/%{minver}/www/r2.svg
%{_datadir}/%{name}%{majver}/%{minver}/www/rlogo.png
%{_datadir}/%{name}%{majver}/%{minver}/www/t/app.js
%{_datadir}/%{name}%{majver}/%{minver}/www/t/index.html
%{_datadir}/%{name}%{majver}/%{minver}/www/t/rlogo.png
%{_datadir}/%{name}%{majver}/%{minver}/www/t/stylesheet.css
%{_datadir}/%{name}%{majver}/%{minver}/www/upload.html

%doc DEVELOPERS* ChangeLog* README* TODO*

%changelog
* Wed Jul  6 2016 vcizek@suse.com - 0.10.4
* Release 0.10.4

* Fri Jun  5 2015 vcizek@suse.com - 0.9.9
* Release 0.9.9

* Fri Mar  2 2012 vcizek@suse.com
- update to 2.0.9
  * fixed build
  * dropped radare-lua.patch
* Sun Nov  7 2010 prusnak@opensuse.org
- created package (v2.0.6)
